Bug 846613 - exporting open rectangle to pdf/eps closes it
exporting open rectangle to pdf/eps closes it
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 04:57 EDT by Trevor Spiteri
Modified: 2013-08-01 13:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 732746
Environment:
Last Closed: 2013-08-01 13:57:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An open square inkscape file (2.08 KB, image/svg+xml)
2012-08-08 04:57 EDT, Trevor Spiteri
no flags Details
The buggy pdf output. (949 bytes, application/pdf)
2012-08-08 04:57 EDT, Trevor Spiteri
no flags Details

  None (edit)
Description Trevor Spiteri 2012-08-08 04:57:09 EDT
Created attachment 602968 [details]
An open square inkscape file

+++ This bug was initially created as a clone of Bug #732746 +++

When I draw an open rectangle and then export it to pdf or to eps, the pdf will be of a closed rectangle instead.

This is using:

Inkscape 0.48.2
cairo 1.10.2
Comment 1 Trevor Spiteri 2012-08-08 04:57:46 EDT
Created attachment 602969 [details]
The buggy pdf output.
Comment 2 Fedora Admin XMLRPC Client 2012-10-03 13:38:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Jon Ciesla 2012-10-04 10:43:34 EDT
Can you still reproduce this on the current cairo and inkscape in f17?
Comment 4 Trevor Spiteri 2012-10-05 06:28:14 EDT
(In reply to comment #3)
> Can you still reproduce this on the current cairo and inkscape in f17?

Yes, in an updated F17 I open the attached file open.svg with Inkscape, and see the open rectangle with only three sides. Then I save it as open.pdf, and open the pdf with evince to see the closed rectangle with four sides.
Comment 5 Jon Ciesla 2012-10-05 08:42:52 EDT
Looks like there's an upstream bug, I've added myself to it.

https://bugs.launchpad.net/inkscape/+bug/759154
Comment 6 Jon Ciesla 2012-11-08 08:56:51 EST
Upstream:

Yup, updating cairo fixes the problem.

Can confirm
Bug present: inkscape 0.48.3.1, cairo 1.10.2, on Gentoo Linux
Bug *not* present: inkscape 0.48.3.1, cairo 1.12.2, on Gentoo Linux
Comment 7 Trevor Spiteri 2013-02-04 09:41:40 EST
This seems to be fixed on Fedora 18, currently with Inkscape 0.48.4 and cairo 1.12.8.
Comment 8 Fedora End Of Life 2013-07-04 02:24:15 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 13:57:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.